summaryrefslogtreecommitdiff
path: root/share/hydractl/hidden-services
diff options
context:
space:
mode:
Diffstat (limited to 'share/hydractl/hidden-services')
-rwxr-xr-xshare/hydractl/hidden-services34
1 files changed, 34 insertions, 0 deletions
diff --git a/share/hydractl/hidden-services b/share/hydractl/hidden-services
new file mode 100755
index 0000000..5153868
--- /dev/null
+++ b/share/hydractl/hidden-services
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# List hidden services.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Parameters
+HIDDEN="/var/lib/tor/hidden"
+
+# Check sudo
+if [ "`whoami`" != 'root' ]; then
+ sudo="sudo"
+fi
+
+# List all hidden services
+for service in `$sudo ls $HIDDEN`; do
+ echo $service: `$sudo cat $HIDDEN/$service/hostname`
+done